org.codehaus.groovy.runtime

## Class InvokerInvocationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - groovy.lang.GroovyRuntimeException
        - - org.codehaus.groovy.runtime.InvokerInvocationException

- All Implemented Interfaces:
    Serializable

      public class InvokerInvocationException
      extends GroovyRuntimeException

  An exception thrown if a method is called and an exception occurred
  Version:
    $Revision$
  Author:
    James Strachan
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvokerInvocationException(InvocationTargetException e)`
    `InvokerInvocationException(Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()`

    - ### Methods inherited from class groovy.lang.GroovyRuntimeException

      `getLocationText, getMessageWithoutLocationText, getModule, getNode, setModule`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvokerInvocationException

          public InvokerInvocationException(InvocationTargetException e)

    - #### InvokerInvocationException

          public InvokerInvocationException(Throwable cause)

  - ### Method Detail

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `GroovyRuntimeException`